gr::funcube::fcdpp_impl Class Reference

`#include <fcdpp_impl.h>`

Inheritance diagram for gr::funcube::fcdpp_impl:

## Public Member Functions

| fcdpp_impl (const std::string device_name, int unit)
| ~fcdpp_impl ()
void | set_freq (float freq)
| Set frequency with resolution defined by unit. More...
void | set_lna (int gain)
| Switches the LNA on/off. More...
void | set_mixer_gain (int gain)
| Switches mixer gain onf/off. More...
void | set_freq_corr (int ppm)
| Set new frequency correction. More...
void | set_if_gain (int gain)
| Set If gain. More...

## Additional Inherited Members

Public Types inherited from gr::funcube::fcdpp
typedef std::shared_ptr< fcdpp > | sptr
Static Public Member Functions inherited from gr::funcube::fcdpp
static sptr | make (const std::string device_name="", int unit=1)
| Return a shared_ptr to a new instance of funcube::fcdpp. More...

## Constructor & Destructor Documentation

## fcdpp_impl()

gr::funcube::fcdpp_impl::fcdpp_impl | ( | const std::string | device_name,
|  | int | unit
| ) |  |

## ~fcdpp_impl()

gr::funcube::fcdpp_impl::~fcdpp_impl | ( |  | ) |

## Member Function Documentation

## set_freq()

void gr::funcube::fcdpp_impl::set_freq | ( | float | freq | ) |

virtual

Set frequency with resolution defined by unit.

Parameters

  freq | The frequency in unit Hz

Sets the frequency of the Funcube Dongle with Hz or Khz resolution depending on the unit paramater ( 1: Hz , 1000 Khz ) applying the frequency correction set by set_freq_corr().

Implements gr::funcube::fcdpp.

## set_freq_corr()

void gr::funcube::fcdpp_impl::set_freq_corr | ( | int | ppm | ) |

virtual

Set new frequency correction.

Parameters

  ppm | The new frequency correction in parts per million

Funcube recommends 0 for the Pro+.

Ref: http://www.funcubedongle.com/MyImages/FCD2ManualV4.pdf

Implements gr::funcube::fcdpp.

## set_if_gain()

void gr::funcube::fcdpp_impl::set_if_gain | ( | int | gain | ) |

virtual

Set If gain.

Parameters

  gain | The If gain value between 0 and 59 db

Implements gr::funcube::fcdpp.

## set_lna()

void gr::funcube::fcdpp_impl::set_lna | ( | int | gain | ) |

virtual

Switches the LNA on/off.

Parameters

  gain | lna on/off.

Implements gr::funcube::fcdpp.

## set_mixer_gain()

void gr::funcube::fcdpp_impl::set_mixer_gain | ( | int | gain | ) |

virtual

Switches mixer gain onf/off.

Parameters

  gain | true means on.

Implements gr::funcube::fcdpp.

The documentation for this class was generated from the following file:

- fcdpp_impl.h